org.glassfish.jersey.server.wadl

## Class WadlGenerator.ExternalGrammarDefinition

- java.lang.Object
- - org.glassfish.jersey.server.wadl.WadlGenerator.ExternalGrammarDefinition

Enclosing interface:
  WadlGenerator

    public static class WadlGenerator.ExternalGrammarDefinition
    extends Object

And internal storage object to store the grammar definitions and any type resolvers that are created along the way.

### Field Summary

Fields
`Map<String,org.glassfish.jersey.server.wadl.internal.ApplicationDescription.ExternalGrammar>` `map`

### Constructor Summary

Constructors
Constructor and Description
`ExternalGrammarDefinition()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addResolver(WadlGenerator.Resolver resolver)`
`QName` `resolve(Class type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### map

    public final Map<String,org.glassfish.jersey.server.wadl.internal.ApplicationDescription.ExternalGrammar> map

### Constructor Detail

#### ExternalGrammarDefinition

    public ExternalGrammarDefinition()

### Method Detail

#### addResolver

    public void addResolver(WadlGenerator.Resolver resolver)

#### resolve

    public QName resolve(Class type)

Parameters:
  `type` - the class to map
Returns:
  The resolved qualified name if one is defined.